Loading...
Searching...
No Matches
juce::ExtensionsVisitor Struct Reference

## Detailed Description

Create a derived implementation of this class and pass it to AudioPluginInstance::getExtensions() to retrieve format-specific information about a plugin instance.

Note that the references passed to the visit member functions are only guaranteed to live for the duration of the function call, so don't store pointers to these objects! If you need to store and reuse format-specific information, it is recommended to copy the result of the function calls that you care about. For example, you should store the result of VST::getAEffectPtr() rather than storing a pointer to the VST instance.

The documentation for this struct was generated from the following file:

- juce_audio_processors_headless/utilities/juce_ExtensionsVisitor.h

## Classes

struct | Unknown
| Indicates that there is no platform specific information available. More...
struct | VST3Client
| Can be used to retrieve information about a VST3 that is wrapped by an AudioProcessor. More...
struct | AudioUnitClient
| Can be used to retrieve information about an AudioUnit that is wrapped by an AudioProcessor. More...
struct | VSTClient
| Can be used to retrieve information about a VST that is wrapped by an AudioProcessor. More...
struct | ARAClient
| Can be used to retrieve information about a plugin that provides ARA extensions. More...

## Public Member Functions

| ExtensionsVisitor ()=default
| ExtensionsVisitor (const ExtensionsVisitor &)=default
| ExtensionsVisitor (ExtensionsVisitor &&)=default
ExtensionsVisitor & | operator= (const ExtensionsVisitor &)=default
ExtensionsVisitor & | operator= (ExtensionsVisitor &&)=default
virtual | ~ExtensionsVisitor ()=default
virtual void | visitUnknown (const Unknown &)
| Will be called if there is no platform specific information available.
virtual void | visitVST3Client (const VST3Client &)
| Called with VST3-specific information.
virtual void | visitVSTClient (const VSTClient &)
| Called with VST-specific information.
virtual void | visitAudioUnitClient (const AudioUnitClient &)
| Called with AU-specific information.
virtual void | visitARAClient (const ARAClient &)
| Called with ARA-specific information.

## Constructors and Destructors

## ExtensionsVisitor() [1/3]

juce::ExtensionsVisitor::ExtensionsVisitor | ( |  | ) |

default

Referenced by ExtensionsVisitor(), ExtensionsVisitor(), operator=(), and operator=().

## ExtensionsVisitor() [2/3]

juce::ExtensionsVisitor::ExtensionsVisitor | ( | const ExtensionsVisitor & |  | ) |

default

References ExtensionsVisitor().

## ExtensionsVisitor() [3/3]

juce::ExtensionsVisitor::ExtensionsVisitor | ( | ExtensionsVisitor && |  | ) |

default

References ExtensionsVisitor().

## ~ExtensionsVisitor()

virtual juce::ExtensionsVisitor::~ExtensionsVisitor | ( |  | ) |

virtual default

## Member Functions

## operator=() [1/2]

ExtensionsVisitor & juce::ExtensionsVisitor::operator= | ( | const ExtensionsVisitor & |  | ) |

default

References ExtensionsVisitor().

## operator=() [2/2]

ExtensionsVisitor & juce::ExtensionsVisitor::operator= | ( | ExtensionsVisitor && |  | ) |

default

References ExtensionsVisitor().

## visitUnknown()

virtual void juce::ExtensionsVisitor::visitUnknown | ( | const Unknown & |  | ) |

inline virtual

Will be called if there is no platform specific information available.

## visitVST3Client()

virtual void juce::ExtensionsVisitor::visitVST3Client | ( | const VST3Client & |  | ) |

inline virtual

Called with VST3-specific information.

## visitVSTClient()

virtual void juce::ExtensionsVisitor::visitVSTClient | ( | const VSTClient & |  | ) |

inline virtual

Called with VST-specific information.

## visitAudioUnitClient()

virtual void juce::ExtensionsVisitor::visitAudioUnitClient | ( | const AudioUnitClient & |  | ) |

inline virtual

Called with AU-specific information.

## visitARAClient()

virtual void juce::ExtensionsVisitor::visitARAClient | ( | const ARAClient & |  | ) |

inline virtual

Called with ARA-specific information.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited